blobfinder
Device proxies

The blobfinder proxy provides an interface to color blob detectors such as the ACTS vision system. More...

## Classes

struct | playerc_blobfinder_t
| Blobfinder device data. More...

## Typedefs

typedef player_blobfinder_blob_t | playerc_blobfinder_blob_t

## Functions

PLAYERC_EXPORT playerc_blobfinder_t * | playerc_blobfinder_create (playerc_client_t *client, int index)
| Create a blobfinder proxy. More...
PLAYERC_EXPORT void | playerc_blobfinder_destroy (playerc_blobfinder_t *device)
| Destroy a blobfinder proxy. More...
PLAYERC_EXPORT int | playerc_blobfinder_subscribe (playerc_blobfinder_t *device, int access)
| Subscribe to the blobfinder device. More...
PLAYERC_EXPORT int | playerc_blobfinder_unsubscribe (playerc_blobfinder_t *device)
| Un-subscribe from the blobfinder device. More...

## Detailed Description

The blobfinder proxy provides an interface to color blob detectors such as the ACTS vision system.

See the Player User Manual for a complete description of the drivers that support this interface.

## Function Documentation

PLAYERC_EXPORT playerc_blobfinder_t* playerc_blobfinder_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a blobfinder proxy.

PLAYERC_EXPORT void playerc_blobfinder_destroy | ( | playerc_blobfinder_t * | device | ) |

Destroy a blobfinder proxy.

PLAYERC_EXPORT int playerc_blobfinder_subscribe | ( | playerc_blobfinder_t * | device,
|  | int | access
| ) |  |

Subscribe to the blobfinder device.

PLAYERC_EXPORT int playerc_blobfinder_unsubscribe | ( | playerc_blobfinder_t * | device | ) |

Un-subscribe from the blobfinder device.

Last updated 12 September 2005 21:38:45